
Name:    plasma-user-manager
Summary: Manage the users of your system
Version: 5.5.5
Release: 1%{?dist}

License: GPLv2
URL:     https://projects.kde.org/user-manager
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/user-manager-%{version}.tar.xz

# allow upgrade path from user-manager copr
Obsoletes: user-manager < 5.5.0-10
Provides:  user-manager = %{version}-%{release}

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: extra-cmake-modules
BuildRequires: libpwquality-devel
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kdelibs4support-devel
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)

%description
A simple system settings module to manage the users of your system.


%prep
%autosetup -n user-manager-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang user_manager


%files -f user_manager.lang
%license COPYING
%{_kf5_qtplugindir}/user_manager.so
%{_kf5_datadir}/kservices5/user_manager.desktop


%changelog
* Mon Mar 07 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.5-1
- 5.5.5

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.4-1
- 5.5.4

* Fri Jan 08 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.3-1
- 5.5.3

* Fri Jan 01 2016 Rex Dieter <rdieter@fedoraproject.org> 5.5.2-1
- 5.5.2

* Thu Dec 31 2015 Rex Dieter <rdieter@fedoraproject.org> 5.5.0-11
- License: GPLv2

* Tue Dec 08 2015 Rex Dieter <rdieter@fedoraproject.org> 5.5.0-10
- plasma-user-manager

* Tue Dec 8 2015 Elia Devito <eliadevito@yahoo.it> 5.5.0-1
- Plasma 5.5.0

* Fri Dec 4 2015 Elia Devito <eliadevito@yahoo.it> 5.4.3-2
- Fix language packaging
- Added License

* Fri Dec 4 2015 Elia Devito <eliadevito@yahoo.it> 5.4.3-1
- Initial SPEC file

